### A free/open-source library for quantitative finance

Public Member Functions
Merton76Process Class Reference
Stochastic processes

Merton-76 jump-diffusion process. More...

`#include <ql/processes/merton76process.hpp>`

Inheritance diagram for Merton76Process:
[legend]

List of all members.

## Public Member Functions

Merton76Process (const Handle< Quote > &stateVariable, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const Handle< Quote > &jumpInt, const Handle< Quote > &logJMean, const Handle< Quote > &logJVol, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))

Time | time (const Date &) const
StochasticProcess1D interface
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time, Real) const
| returns the drift part of the equation, i.e.
Real | diffusion (Time, Real) const
| returns the diffusion part of the equation, i.e.
Real | apply (Real, Real) const
Inspectors
const Handle< Quote > & | stateVariable () const
const Handle < YieldTermStructure > & | dividendYield () const
const Handle < YieldTermStructure > & | riskFreeRate () const
const Handle < BlackVolTermStructure > & | blackVolatility () const
const Handle< Quote > & | jumpIntensity () const
const Handle< Quote > & | logMeanJump () const
const Handle< Quote > & | logJumpVolatility () const

## Detailed Description

Merton-76 jump-diffusion process.

## Member Function Documentation

Real apply | ( | Real | x0,
|  | Real | dx
| ) |  | const`[virtual]`

applies a change to the asset value. By default, it returns .

Reimplemented from StochasticProcess1D.

Time time | ( | const Date & |  | ) | const`[virtual]`

returns the time value corresponding to the given date in the reference system of the stochastic process.

Note:
  As a number of processes might not need this functionality, a default implementation is given which raises an exception.

Reimplemented from StochasticProcess.